Python3: установка в virtualenv не выполняется

Я попытался создать Python3 virtualenv и протестировать в нем код Python:

python3 -m venv tbzuploader-py3env
cd tbzuploader-py3env
. ./bin/activate
pip install -e git+https://github.com/guettli/tbzuploader.git#egg=tbzuploader

Вот результат, который я получаю:

Obtaining tbzuploader from git+https://github.com/guettli/tbzuploader.git#egg=tbzuploader
  Cloning https://github.com/guettli/tbzuploader.git to ./src/tbzuploader
Collecting requests (from tbzuploader)
  Using cached requests-2.18.4-py2.py3-none-any.whl
Collecting future (from tbzuploader)
  Using cached future-0.16.0.tar.gz
Collecting urllib3<1.23,>=1.21.1 (from requests->tbzuploader)
  Using cached urllib3-1.22-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests->tbzuploader)
  Using cached chardet-3.0.4-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests->tbzuploader)
  Using cached certifi-2017.7.27.1-py2.py3-none-any.whl
Collecting idna<2.7,>=2.5 (from requests->tbzuploader)
  Using cached idna-2.6-py2.py3-none-any.whl
Building wheels for collected packages: future
  Running setup.py bdist_wheel for future ... error
  Complete output from command /home/tguettler/projects/tbzuploader-py3env/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-4iiy_oby/future/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" bdist_wheel -d /tmp/tmpukjvdwtmpip-wheel- --python-tag cp35:
  usage: -c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
     or: -c --help [cmd1 cmd2 ...]
     or: -c --help-commands
     or: -c cmd --help

  error: invalid command 'bdist_wheel'

  ----------------------------------------
  Failed building wheel for future
  Running setup.py clean for future
Failed to build future
Installing collected packages: urllib3, chardet, certifi, idna, requests, future, tbzuploader
  Running setup.py install for future ... done
  Running setup.py develop for tbzuploader
Successfully installed certifi-2017.7.27.1 chardet-3.0.4 future-0.16.0 idna-2.6 requests-2.18.4 tbzuploader urllib3-1.22
You are using pip version 8.1.1, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

Я использую Python из Ubuntu 16.04:

===> python --version
Python 3.5.2

Что я делаю неправильно?

По умолчанию venv установлена ​​pip версия 8. Необходимо обновить: pip install --upgrade pip   —  person guettli    schedule 28.09.2017

@ AK47 вам нужно отказаться от sudo -H, потому что вы хотите обновить setuptools в virtualenv, а не в масштабе всей системы.   —  person guettli    schedule 28.09.2017

См. также:  Закрытие нового окна консоли, запущенного из пакетного сценария, предлагает завершить сценарий

@AndMar да, pip install —upgrade pip решил проблему. Если вы напишете свой комментарий в качестве ответа, я приму его и проголосую за него.   —  person guettli    schedule 28.09.2017

Чаще всего эту команду вводят после создания нового виртуального файла: pip install -U pip setuptools wheel.   —  person guettli    schedule 15.10.2017

Понравилась статья? Поделиться с друзьями:
IT Шеф
Комментарии: 2
  1. guettli

    По умолчанию venv установлен pip версии 8. Вам необходимо обновить его: pip install --upgrade pip

  2. guettli

    Вам необходимо обновить версию pip, выполнив следующую команду.

    pip install —upgrade pip

    Когда вы устанавливаете python3, устанавливается pip3. И если у вас нет другой установки python (например, python2.7), создается ссылка, которая указывает pip на pip3. pip обычно указывает на первую установку.

Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: